/*
Theme Name: Bakerfresh Child
Theme URI: https://1.envato.market/POnObq
Template: bakerfresh
Author: LA Studio
Author URI: https://1.envato.market/POnObq
Description: Bakerfresh - Cake Shop WooCommerce Theme
Tags: bakeries,bakery,bread,cake,candy,chocolate,coffee,cookies,cupcake,food,icecream,pastry,pastry shop,restaurant,yogurt
Version: 1.1.1.1779260875
Updated: 2026-05-20 07:07:55

*/

.shipping-calculator-form .select2-container--default .select2-selection--single .select2-selection__rendered{
	line-height:41px !important
}
.shipping-calculator-form .select2-selection__arrow{
	top:13px !important
}
.select2-container--default .select2-results__option--highlighted[aria-selected], .select2-container--default .select2-results__option--highlighted[data-selected] {
    background-color: #6f2c5b !important;
    color: #fff;
}
.woocommerce-variation-price{
	display:none !important;
	margin:30px 0 20px;
}
.rtwpvs-product .variations
 {
    margin: 20px 0 40px !important;
}
.cat-title{
	text-align:center;
}
.wa__btn_popup_txt{
	display:none !important
}
.best-seller-products {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.kalpa-category-card {
    border: 1px solid #eee;
    padding: 15px;
    background: #fff;
}
.shop-top-bar{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:20px;
    margin-bottom:25px;
    flex-wrap:wrap;
}

.products-found{
    font-size:16px;
    font-weight:600;
    color:#000;
}

.kalpa-sorting-wrap select{
    min-width:220px;
    height:45px;
    padding:0 15px;
    border:1px solid #ddd;
    background:#fff;
    outline:none;
    cursor:pointer;
}

@media(max-width:767px){

    .shop-top-bar{
        flex-direction:column;
        align-items:flex-start;
    }

    .kalpa-sorting-wrap{
        width:100%;
    }

    .kalpa-sorting-wrap select{
        width:100%;
    }
}
.kalpa-category-image img {
    width: 100%;
    height: auto;
    display: block;
}

.kalpa-category-title a {
    color: #000;
    text-decoration: none;
    font-weight: 600;
}

.woocommerce-result-count {
    margin: 15px 0;
    font-weight: 600;
}
	.custom-pagination a.prev,
	.custom-pagination a.next{
		width:50px;
	}
.custom-pagination {
    margin-top: 30px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
	justify-content:center;
}

.custom-pagination a,
.custom-pagination span {
   
    border: 1px solid #ddd;
    text-decoration: none;
    color: #000;
	width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.custom-pagination a.active {
    background: #000;
    color: #fff;
}
	
	.shop-results-wrapper{
    position: relative;
    min-height: 300px;
}

.shop-loader{
    position: absolute;
    inset: 0;
    background: rgba(255,255,255,0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s;
}

.shop-loader.active{
    opacity: 1;
    visibility: visible;
}

.loader-spinner{
    width: 45px;
    height: 45px;
    border: 4px solid #ddd;
    border-top: 4px solid #000;
    border-radius: 50%;
    animation: kalpaSpin 0.7s linear infinite;
}
.elementor-lakit-wooproduct-addtocart, .single-price-wrapper{
	margin-top:20px !important
}
.onsale {
    background-color: #6f2c5b !important;
}

@keyframes kalpaSpin{
    100%{
        transform: rotate(360deg);
    }
}

@media (max-width: 1024px) {
    .best-seller-products {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 767px) {
    .best-seller-products {
        grid-template-columns: repeat(2, 1fr);
    }
}
.custom-category-wrapper{
	padding:40px 0 80px;
}
.wrapper{
	width:100%;
	max-width:1440px;
	margin:auto;
	padding:0 20px
}
.place-order .button, .wc-proceed-to-checkout .button{
	    background: #6F2C5B !important;
    color: #fff !important;
}
.kalpa-home-cats{
            display:grid;
            grid-template-columns:repeat(6,1fr);
            gap:24px;
            padding:20px 0;
        }

        .kalpa-cat-item{
            text-align:center;
        }

        .kalpa-cat-item a{
            text-decoration:none;
            color:#111;
            display:block;
        }

        .kalpa-cat-image{
            width:100%;
            aspect-ratio:1/1;
            border-radius:28px;
            overflow:hidden;
            background:#f5f5f5;
            margin-bottom:12px;
        }

        .kalpa-cat-image img{
            width:100%;
            height:100%;
            object-fit:cover;
            transition:0.3s ease;
            display:block;
        }

        .kalpa-cat-item:hover img{
            transform:scale(1.05);
        }

        .kalpa-cat-title{
            font-size:18px;
            font-weight:500;
            line-height:1.4;
        }

        /* Tablet */
        @media(max-width:1024px){

            .kalpa-home-cats{
                grid-template-columns:repeat(4,1fr);
                gap:20px;
            }

        }

        /* Mobile */
        @media(max-width:768px){

            .kalpa-home-cats{
                grid-template-columns:repeat(2,1fr);
                gap:16px;
            }

            .kalpa-cat-image{
                border-radius:20px;
            }

            .kalpa-cat-title{
                font-size:15px;
            }
			.sgs-bar{
				gap:0 !important
			}
        }

.top_header{
	z-index:100 !important
}
.xoo-wsc-sc-count {
    background-color: #6F2C5B !important;
    color: #ffffff;
}
.xoo-wsc-sc-bki {
    font-size: 28px;
    color: #6F2C5B !important;
}
.kalpa-category-wrapper{
    padding:0px 0;
    position:relative;
}

/* Heading */

.kalpa-category-heading{
    display:flex;
    justify-content:space-between;
    align-items:end;
    margin-bottom:30px;
    gap:20px;
}

.kalpa-category-heading h2{
    font-size:42px;
    margin:0;
    color:#2d1b3d;
    font-family:'Playfair Display', serif;
    font-weight:700;
}

.kalpa-category-heading p{
    margin-top:8px;
    font-size:18px;
    color:#777;
}

/* Navigation */

.kalpa-category-nav{
    display:flex;
    gap:12px;
}

.kalpa-category-next,
.kalpa-category-prev{

    width:46px;
    height:46px;
    border-radius:50%;
    background:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    cursor:pointer;
    box-shadow:0 4px 14px rgba(0,0,0,0.08);
    transition:0.3s ease;

}

.kalpa-category-next:hover,
.kalpa-category-prev:hover{

    background:#c05a93;
    color:#fff;

}

/* Card */

.kalpa-category-card{
    background:#f4f4f4;
    border-radius:0px;
    transition:0.4s ease;
    position:relative;
	padding: 10px;
}


/* Image */

.kalpa-category-image{
    position:relative;
    overflow:hidden;
}
.kalpa-category-image a{
	padding-top:317px;
	position:relative;
	display:block;
}
.kalpa-category-image img{
   position:absolute;
	top:0;
	bottom:0;
	left:0;
	right:0;
    object-fit: cover;
    display: block;
    transition: 0.5s ease;
	
}


.kalpa-category-card:hover img{
    transform:scale(1.08);
}

/* Wishlist */

.kalpa-category-heart{

    position:absolute;
    top:14px;
    right:14px;
    width:42px;
    height:42px;
    border-radius:50%;
    background:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    z-index:9;
    font-size:18px;
    box-shadow:0 2px 12px rgba(0,0,0,0.1);

}

/* Content */

.kalpa-category-content{
    padding:10px 0 0;
}

.kalpa-category-title{
    font-size:20px;
    font-weight:600;
    margin-bottom:10px;
    line-height:1.4;
}

.kalpa-category-title a{
    color:#111;
    text-decoration:none;
    FONT-SIZE: 15PX;
}

/* Price */

.kalpa-category-price{
    margin-bottom:0px;
}


.kalpa-category-price bdi{
	    font-size: 15px;
	line-height:1
}
.kalpa-category-price del{
    color:#999;
    margin-right:8px;
}

/* Meta */

.kalpa-category-meta{
    display:flex;
    align-items:center;
    justify-content:space-between;
    gap:10px;
    flex-wrap:wrap;
}

.kalpa-category-rating{
    font-size:14px;
    color:#777;
}

.kalpa-category-delivery{
    background:#f7eefe;
    color:#8b3dff;
    padding:7px 12px;
    border-radius:30px;
    font-size:13px;
    font-weight:500;
}

/* Responsive */

@media(max-width:1024px){

    .kalpa-category-image img{
        height:320px;
    }

}

@media(max-width:768px){

    .kalpa-category-heading{
        flex-direction:column;
        align-items:flex-start;
    }

    .kalpa-category-heading h2{
        font-size:32px;
    }

    .kalpa-category-image img{
        height:280px;
    }

    .kalpa-category-title{
        font-size:18px;
    }

}


/* Form container */
.wpcf7 {
  max-width: 600px;
  margin: 0 auto;
}

/* Input fields */
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 textarea {
  width: 100%;
  padding: 10px 15px !important;
  border: 1px solid #00000054;
  border-radius: 6px;
  font-size: 15px;
  margin-bottom: 0px;
	max-height: 120px;
	
    resize: none;
}
.elementor-lakit-contactform7 .wpcf7-not-valid-tip{
	position:static !important
}
/* Submit button */
.wpcf7 input[type="submit"] {
  background: #0073aa;
  color: white;
  padding: 12px 30px;
  border: none;
  border-radius: 6px;
  cursor: pointer;
	height: 50px;

}

.wpcf7 input[type="submit"]:hover {
  background: #005580;
}


.lakit-row {
  display: flex;
  gap: 0px;
  
}

.lakit-col {
  flex: 1;
	margin-bottom: 10px;
}


#customer_login h2{
	color:#6F2C5B;
	font-size: 30px!important;
	
}

.kalpa-category-image img{
	width:100%
}


@media screen and (max-width:500px){
	.kalpa-category-image a{
		padding-top:220px;
	}
	.kalpa-category-image img{
		height:220px;
	}
}